import random


def gen_imei():
    s = ''
    for _ in range(5):
        s = s + '%x:' % random.randint(0, 255)
    for _ in range(5):
        s = s + '%x' % random.randint(0, 255)
    return s


def gen_ip():
    return '.'.join([str(random.randint(1, 254)) for _ in range(4)])


def gen_phone():
    second = ['3', '5', '7', '8']
    return '1' + random.choice(second) + ''.join([str(random.randint(0, 9)) for _ in range(9)])


def gen_nickname():
    return ''.join([chr(random.randint(65, 90)) for _ in range(random.randint(4, 9))])


def gen_qq():
    return ''.join([chr(random.randint(48, 57)) for _ in range(random.randint(6, 12))])


def gen_wechat():
    return ''.join([chr(random.randint(48, 90)) for _ in range(random.randint(9, 12))])


if __name__ == '__main__':
    imei = gen_imei()
    print(imei)
    print(gen_phone())